{
by Avram, avramyu@yahoo.com
}
unit CRegister;

interface

uses
Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, inifiles, Dialogs,
  ExtCtrls, StdCtrls;

type
  TCRegister = class(TComponent)
  private
    FOSTALO: integer;
    FPROGRAM_NAME: string;
    FCORRECT: string;
    FCODE: string;
    FREG_WORD: string;
    FINCORRECT: string;
    FENTER_CODE: string;
    FINI_FILE: string;
    FENTER_RCODE: string;
    procedure SetOSTALO(const Value: integer);
    procedure setprogram_name(const Value: string);
    procedure setprogram(const Value: string);
    procedure setCORRECT(const Value: string);
    procedure setCODE(const Value: string);
    procedure setREG_WORD(const Value: string);
    procedure setINCORRECT(const Value: string);
    procedure setENTER_CODE(const Value: string);
    procedure setINI_FILE(const Value: string);
    procedure setENTER_RCODE(const Value: string);
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
  function IsRegistered():boolean;
  function Countdown():integer;
  function Register_It():boolean;
  property Prog_Name:string read FPROGRAM_NAME write setPROGRAM_NAME;
  property Correct:string read FCORRECT write setCORRECT;
  property Incorrect:string read FINCORRECT write setINCORRECT;
  property Left:integer read FOSTALO write SetOSTALO;
  property Code:string read FCODE write setCODE;
  property Reg_Word:string read FREG_WORD write setREG_WORD;
  property Enter_Code:string read FENTER_CODE write setENTER_CODE;
  property Enter_RCode:string read FENTER_RCODE write setENTER_RCODE;
  property Ini_File:string read FINI_FILE write setINI_FILE;
        { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Crazy Mix', [TCRegister]);
end;

function TCRegister.IsRegistered():boolean;
var ini:tinifile;
tenp:string;
begin
result:=false;
ini:=TIniFile.Create(ini_file);
tenp:=ini.ReadString(prog_name,'Registered','No');
if tenp=reg_word then Result:=true;
end;

function TCRegister.Countdown():integer;
var ini:tinifile;
tenp:integer;
begin
ini:=TIniFile.Create(ini_file);
tenp:=ini.Readinteger(prog_name,'Left',Left);
result:=tenp;
Left:=tenp;
tenp:=tenp-1;
ini.writeinteger(prog_name,'Left',tenp);
SetFileAttributes(pchar(ini_file),FILE_ATTRIBUTE_HIDDEN);
end;

function TCRegister.Register_It():boolean;
var ini:tinifile;
z:string;
begin
z:=InputBox(ENTER_CODE,ENTER_RCODE,'');
if z=code then begin
ini:=TIniFile.Create(ini_file);
ini.WriteString(prog_name,'Registered',reg_word);
showmessage(CORRECT);
result:=true;
end else begin
showmessage(INCORRECT);
result:=false;
end;
end;


procedure TCRegister.SetOSTALO(const Value: integer);
begin
  FOSTALO := Value;
end;

procedure TCRegister.setprogram_name(const Value: string);
begin
  FPROGRAM_NAME := Value;
end;

procedure TCRegister.setCORRECT(const Value: string);
begin
  FCORRECT := Value;
end;

procedure TCRegister.setPROGRAM(const Value: string);
begin
  FPROGRAM_NAME := Value;
end;

procedure TCRegister.setCODE(const Value: string);
begin
  FCODE := Value;
end;

procedure TCRegister.setREG_WORD(const Value: string);
begin
  FREG_WORD := Value;
end;

procedure TCRegister.setINCORRECT(const Value: string);
begin
  FINCORRECT := Value;
end;

procedure TCRegister.setENTER_CODE(const Value: string);
begin
  FENTER_CODE := Value;
end;

procedure TCRegister.setINI_FILE(const Value: string);
begin
  FINI_FILE := Value;
end;

procedure TCRegister.setENTER_RCODE(const Value: string);
begin
  FENTER_RCODE := Value;
end;

end.
